package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 菜单显示状态 (0.显示，1.隐藏)枚举类
*
* @author zxfei
*/
public enum VisibleEnum {
    显示(0, "显示"),
    隐藏(1, "隐藏");
    private Integer value;
    private String desc;

    VisibleEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static VisibleEnum getByValue(Integer value) {
        for (VisibleEnum visibleEnum : VisibleEnum.values()) {
            if (visibleEnum.getValue() == value) {
                return visibleEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (VisibleEnum item : VisibleEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}